JAXB v2.2.12-b140109.1041

## javax.xml.bind.annotation
Annotation Type XmlAccessorOrder

    @Inherited
    @Retention(value=RUNTIME)
    @Target(value={PACKAGE,TYPE})
    public @interface XmlAccessorOrder

Controls the ordering of fields and properties in a class.

### Usage

`@XmlAccessorOrder` annotation can be used with the following program elements:

- package
- a top level class

See "Package Specification" in `javax.xml.bind` package javadoc for additional common information.

The effective `XmlAccessOrder` on a class is determined as follows:

- If there is a `@XmlAccessorOrder` on a class, then it is used.
- Otherwise, if a `@XmlAccessorOrder` exists on one of its super classes, then it is inherited (by the virtue of `Inherited`)
- Otherwise, the `@XmlAccessorOrder` on the package of the class is used, if it's there.
- Otherwise `XmlAccessOrder.UNDEFINED`.

This annotation can be used with the following annotations: `XmlType`, `XmlRootElement`, `XmlAccessorType`, `XmlSchema`, `XmlSchemaType`, `XmlSchemaTypes`, , `XmlJavaTypeAdapter`. It can also be used with the following annotations at the package level: `XmlJavaTypeAdapter`.

Since:
  JAXB2.0
Author:
  Sekhar Vajjhala, Sun Microsystems, Inc.
See Also:
  `XmlAccessOrder`

Optional Element Summary
`XmlAccessOrder` `value`

### value

    public abstract XmlAccessOrder value

  Default:
    javax.xml.bind.annotation.XmlAccessOrder.UNDEFINED

JAXB v2.2.12-b140109.1041

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle